Compatibility code #1148

Merged
merged 1 commit into from Dec 13, 2012

Conversation

Projects
None yet
2 participants
Contributor

bmillwood commented Dec 13, 2012

I attach a commit that removes code that didn't compile unless you were neither on Hugs nor on GHC > 6.6. I suspect it hasn't been compiled in a long time, and since Cabal now depends on base >= 4 I don't think it is relevant any more.

I'm hoping to also start a discussion more generally about what build conditions we expect. I think it's important to state clearly and publically what build setups are still supported, so we can discard old unused code and simplify the job of new contributors.

(The readme still makes reference to GHC 6.4.1! That, too, should probably be amended).

@tibbe tibbe merged commit f78e301 into haskell:master Dec 13, 2012

Owner

tibbe commented Dec 13, 2012

Please start a thread about the build conditions on the cabal-dev mailing lists. I think it would be useful to clarify.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment